import { CrudHandler } from './CrudHandler';

export class KnexCrudHandler implements CrudHandler {
  private _table: string;
  private _columns: Array<string>;
  private _options: Record<string, unknown>;

  public get table (): string { return this._table; }

  public constructor (
    table: string,
    columns: Array<string>,
    options: Record<string, unknown> = {}
  ) {
    this.table = table;
    this.columns = columns;
    this.options = options;
  }
}
